package org.libre.utilities;

import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.transaction.UserTransaction;

public class Transactions {
	private static Transactions instance = null;
	private UserTransaction utx = null;

	private Transactions() {
	}

	public static Transactions getTransactionsInstance() {
		if (instance == null) {
			instance = new Transactions();
		}

		return instance;
	}

	public UserTransaction getJtaTransaction() {
		if (utx != null) {
			return this.utx;
		}

		InitialContext context;
		try {
			context = new InitialContext();
			utx = (UserTransaction) context.lookup("java:comp/UserTransaction");
		} catch (NamingException e) {
			e.printStackTrace();
		}

		return utx;
	}

	public void clearCurrentJtaTransaction() {
		this.utx = null;
	}
}
