package org.libre.entities;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the author database table.
 * 
 */
@Entity
public class Author implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@SequenceGenerator(name="AUTHOR_IDX_GENERATOR", sequenceName="AUTHOR_IDX_SEQ")
	@GeneratedValue(strategy=GenerationType.SEQUENCE, generator="AUTHOR_IDX_GENERATOR")
	private Integer idx;
	
	@Column(name="role")
	private String role;

	//bi-directional many-to-one association to Book
    @ManyToOne
	@JoinColumn(name="isbn")
	private Book book;

	//bi-directional many-to-one association to Person
    @ManyToOne
	@JoinColumn(name="pid")
	private Person person;

    public Author() {
    }

    public Integer getIdx() {
    	return this.idx;
    }
    
    public void setIdx(Integer idx) {
    	this.idx = idx;
    }
    
	public String getRole() {
		return this.role;
	}

	public void setRole(String role) {
		this.role = role;
	}

	public Book getBook() {
		return this.book;
	}

	public void setBook(Book book) {
		this.book = book;
	}
	
	public Person getPerson() {
		return this.person;
	}

	public void setPerson(Person person) {
		this.person = person;
	}
	
}