package org.libre.entities;

import java.io.Serializable;
import javax.persistence.*;
import java.sql.Timestamp;


/**
 * The persistent class for the user database table.
 * 
 */
@Entity
@Table(name="user", catalog="libre", schema="system")
@NamedQueries
(
		{
			@NamedQuery(name="User.findByAll", query="SELECT u FROM User u"),
			@NamedQuery(name="User.findByLogin", query="SELECT u FROM User u WHERE u.systemName= :systemUserName")
		}
)
public class User implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@Column(name="system_name")
	private String systemName;

	@SequenceGenerator(name="USER_IDX_GENERATOR", sequenceName="SYSTEM.USER_IDX_SEQ")
	@GeneratedValue(strategy=GenerationType.SEQUENCE, generator="USER_IDX_GENERATOR")
	private Integer idx;

	@Column(name="system_password")
	private String systemPassword;

	@Column(name="system_valid_end_date")
	private Timestamp systemValidEndDate;

	@Column(name="system_valid_start_date")
	private Timestamp systemValidStartDate;

	@Column(name="user_first_name")
	private String userFirstName;

	@Column(name="user_last_name")
	private String userLastName;

    public User() {
    }

	public String getSystemName() {
		return this.systemName;
	}

	public void setSystemName(String systemName) {
		this.systemName = systemName;
	}

	public Integer getIdx() {
		return this.idx;
	}

	public void setIdx(Integer idx) {
		this.idx = idx;
	}

	public String getSystemPassword() {
		return this.systemPassword;
	}

	public void setSystemPassword(String systemPassword) {
		this.systemPassword = systemPassword;
	}

	public Timestamp getSystemValidEndDate() {
		return this.systemValidEndDate;
	}

	public void setSystemValidEndDate(Timestamp systemValidEndDate) {
		this.systemValidEndDate = systemValidEndDate;
	}

	public Timestamp getSystemValidStartDate() {
		return this.systemValidStartDate;
	}

	public void setSystemValidStartDate(Timestamp systemValidStartDate) {
		this.systemValidStartDate = systemValidStartDate;
	}

	public String getUserFirstName() {
		return this.userFirstName;
	}

	public void setUserFirstName(String userFirstName) {
		this.userFirstName = userFirstName;
	}

	public String getUserLastName() {
		return this.userLastName;
	}

	public void setUserLastName(String userLastName) {
		this.userLastName = userLastName;
	}

}