package org.libre.web.base;

import javax.annotation.PostConstruct;
import org.libre.ejb.UserBean;
import org.libre.entities.User;
import org.libre.web.base.utils.GlobalSettings;

public abstract class ABaseLoginActionBean extends ABaseActionBean implements IBaseActionBean {

	public static final String DO_LOGIN_ACTION_OK = "loginSuccess";
	public static final String DO_LOGIN_ACTION_FAIL = "loginFail";
	
	private static final String OK_AFTER_LOGIN_PAGE_URL = "/pages/main.xhtml";
	private static final String FAIL_AFTER_LOGIN_PAGE_URL = "/pages/login.xhtml";

	String pageAfterLogin = "";
	
	@Override
	public String getAction() {
		this.doLogin();
		if (this.getValidUserPermission()) {
			this.pageAfterLogin = OK_AFTER_LOGIN_PAGE_URL;
			return ABaseLoginActionBean.DO_LOGIN_ACTION_OK;
		} else {
			this.pageAfterLogin = FAIL_AFTER_LOGIN_PAGE_URL;
			return ABaseLoginActionBean.DO_LOGIN_ACTION_FAIL;
		}
	}

	@Override
	public String getNextPageUrl() {
		return this.pageAfterLogin;
	}
	
	public abstract String getSystemPassword();
	public abstract boolean getValidUserPermission();
	
	public abstract void setSystemPassword(String systeUserPassword);
	public abstract void setValidUserPermission(boolean validUserPermission);
	
	protected void doLogin() {
		UserBean ub = new UserBean();
		User u = ub.canYouGetIntoSystem(this.getSystemName(), this.getSystemPassword());
		
		if (u != null) {
			this.setUserFirstName(u.getUserFirstName());
			this.setUserLastName(u.getUserLastName());
			this.setSystemValidStartDate(u.getSystemValidStartDate());
			this.setSystemValidEndDate(u.getSystemValidEndDate());
			this.setValidUserPermission(true);
			
			new GlobalSettings().setCurrentUser(this.getSystemName(), 
					this.getSystemPassword(), 
					this.getSystemValidStartDate(), 
					this.getSystemValidEndDate(), 
					this.getUserFirstName(), 
					this.getUserLastName());
			
		} else {
			this.setUserFirstName("");
			this.setUserLastName("");
			this.setSystemValidStartDate(null);
			this.setSystemValidEndDate(null);
			this.setValidUserPermission(false);
		}
	}
	
	@Override
	protected void afterStart() {
	}

	@Override
	protected void beforeEnd() {
	}
	
	@Override
	@PostConstruct
	public void start() {
		afterStart();
	}

}
