package org.libre.web.mbeans;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.event.AjaxBehaviorEvent;
import org.libre.ejb.PersonBean;
import org.libre.entities.Person;
import org.libre.web.base.ABaseActionBean;

@ManagedBean(name="dataPersonBean")
@RequestScoped
public class DataPersonBean extends ABaseActionBean implements Serializable {

	private static final long serialVersionUID = 3839513033248973961L;
	
	private String firstName;
	private String lastName;
	
	public DataPersonBean() {
	}

	public String getFirstName() {
		return this.firstName;
	}

	public void setFirstName(String fname) {
		this.firstName = fname;
	}
	
	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	public void personSaveListener(AjaxBehaviorEvent event) {
		PersonBean pb = new PersonBean();
		try {
			pb.createPersonInsideYourOwnTransaction(this.firstName, this.lastName);
			this.firstName = "";
			this.lastName = "";
		} catch (Exception x) {
			x.printStackTrace();
		}
	}
	
	public List<String[]> getAllPerson() {
		int id = 0;
		PersonBean pb = new PersonBean();
		List<String[]> ap = new ArrayList<String[]>();
		for (Person p : pb.getAllPersons()) {
			ap.add(new String[] {String.valueOf(++id), p.getFname(), p.getLname()});
		}
		return ap;
	}

	@Override
	protected void afterStart() {
		System.out.println("Log after start in DataPersonBean ...");
	}

	@Override
	protected void beforeEnd() {
		System.out.println("Log before end in DataPersonBean ...");
	}
	
}
